Ask Your Question
0

wrong return code

asked 2015-11-13 13:23:10 -0500

WFG_LINUX gravatar image

updated 2015-11-22 14:36:56 -0500

ramindk gravatar image

code:

package { 'wfg-package':
  provider        => rpm,
  ensure          => latest,
  source          => '/opt/wfg_sdmp_sw/was8core/wfg-package-0.1.0-19.noarch.rpm',
  install_options => ['--freshen'],
}

on the agent, puppet again -t and wfg-package is not installed

Info: Retrieving pluginfacts
Info: Retrieving plugin
Info: Loading facts
Info: Caching catalog for svmowasb82.westfieldgrp.corp
Info: Applying configuration version '1447442311'
Notice: /Stage[main]/Was8/Package[wfg-package]/ensure: created
Notice: Applied catalog in 3.73 seconds

packages did not install, but report that it did

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2015-11-18 03:43:03 -0500

i believe freshen only upgrades a package if its already installed. couly you try removing the install_options line and seeing if it works? you may also need provider => rpm

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2015-11-13 13:23:10 -0500

Seen: 129 times

Last updated: Nov 22 '15